Bug 2082395 - Private cluster installer on Azure asking for baseDomainResourceGroup even when it has nothing to do with basedomain as mentioned in documentation.
Summary: Private cluster installer on Azure asking for baseDomainResourceGroup even wh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.12
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.12.0
Assignee: tzivkovi@redhat.com
QA Contact: MayXu
URL:
Whiteboard:
Depends On:
Blocks: 2107153
TreeView+ depends on / blocked
 
Reported: 2022-05-06 02:37 UTC by pawankum
Modified: 2023-01-17 19:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-01-17 19:48:18 UTC
Target Upstream Version:
maxu: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 6049 0 None open Bug 2082395: Make azure baseDomainResoureGroup optional for private c… 2022-06-28 12:23:13 UTC
Red Hat Product Errata RHSA-2022:7399 0 None None None 2023-01-17 19:48:38 UTC

Description pawankum 2022-05-06 02:37:13 UTC
Version: OCP IPI on Azure

$ openshift-install version
4.10.8

Platform:
Azure

Please specify:
* IPI 

What happened?
Private IPI cluster installation is failing when we do not specify baseDomainResourceGroup. As it is a private installation and does not required any public basedomain, why do we even need that. 

I think there should be a validation in starting if publish is internal, it should asked for basedomainresourcegroup.

Error Message:

$ ./openshift-install create cluster --dir try5
INFO Credentials loaded from file "/home/phe.gov.uk/sam.morris/.azure/osServicePrincipal.json" 
INFO Consuming Install Config from target directory 
INFO Creating infrastructure resources...         
ERROR                                              
ERROR Error: No value for required variable        
ERROR                                              
ERROR   on ../../../../../tmp/openshift-install-vnet-2811370495/variables-azure.tf line 54: 
ERROR   54: variable "azure_base_domain_resource_group_name" { 
ERROR                                              
ERROR The root module input variable "azure_base_domain_resource_group_name" is not 
ERROR set, and has no default value. Use a -var or -var-file command line argument 
ERROR to provide a value for this variable.        
ERROR                                              
ERROR Failed to read tfstate: open /tmp/openshift-install-vnet-2811370495/terraform.vnet.tfstate: no such file or directory 
FATAL failed to fetch Cluster: failed to generate asset "Cluster": failed to create cluster: failed to apply Terraform: failed to complete the change 

#See the troubleshooting documentation (https://github.com/openshift/installer/blob/master/docs/user/troubleshooting.md) for ideas about what information to collect.


What did you expect to happen?
Installation should proceed without basedomainresourcegroup.


How to reproduce it (as minimally and precisely as possible)?
Try to install IPI on Azure with publish as private and do not specify basedomainresourcegroup. (I do not have any public basedomain configured as I am installing a private cluster)

Comment 1 pawankum 2022-05-09 01:34:26 UTC
Hello Team,

Any update on this?



BR,
Pawan

Comment 2 tzivkovi@redhat.com 2022-06-09 22:06:23 UTC
Hello!

Can I get the complete install config?

Comment 3 pawankum 2022-06-10 00:53:05 UTC
(In reply to tzivkovi from comment #2)
> Hello!
> 
> Can I get the complete install config?

Here it is:

apiVersion: v1
baseDomain: pawankum
controlPlane:
  hyperthreading: Enabled
  name: master
  platform:
    azure:
      osDisk:
        diskSizeGB: 256
      type: Standard_D4s_v3
  replicas: 3
compute:
- hyperthreading: Enabled
  name: worker
  platform:
    azure:
      type: Standard_D4s_v3
      osDisk:
        diskSizeGB: 256
      zones:
      - "1"
      - "2"
      - "3"
  replicas: 3
metadata:
  name: pawankumpriv
networking:
  clusterNetwork:
  - cidr: 10.128.0.0/14
    hostPrefix: 23
  machineNetwork:
  - cidr: 10.2.0.0/16
  networkType: OpenShiftSDN
  serviceNetwork:
  - 172.30.0.0/16
platform:
  azure:
    region: eastus
    resourceGroupName: pawankumcluster
    networkResourceGroupName: pawankumtest
    virtualNetwork: pawankumvnet
    controlPlaneSubnet: master
    computeSubnet: worker
    outboundType: UserDefinedRouting
    cloudName: AzurePublicCloud
pullSecret: omitted
fips: false
sshKey: omitted
publish: Internal

Comment 6 MayXu 2022-07-12 08:11:49 UTC
version: OpenShift Installer 4.12.0-0.nightly-2022-07-11-201238
Built from commit b0502c56532c9fb1406d4a3425feaeea398e3c73

install-config.yaml: 
platform:
  azure:
    region: northcentralus
    outboundType: UserDefinedRouting
    networkResourceGroupName: maxu-dom12-rg
    virtualNetwork: maxu-dom12-vnet
    controlPlaneSubnet: maxu-dom12-master-subnet
    computeSubnet: maxu-dom12-worker-subnet
networking:
  clusterNetwork:
  - cidr: 10.128.0.0/14
    hostPrefix: 23
  serviceNetwork:
  - 172.30.0.0/16
  machineNetwork:
  - cidr: 10.0.0.0/16
  networkType: OpenShiftSDN
publish: Internal

create cluster succeed.

Comment 11 errata-xmlrpc 2023-01-17 19:48:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.12.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:7399


Note You need to log in before you can comment on or make changes to this bug.